import { ISystemConfig } from '../config/interfaces';
import { ManagedONVIFApi } from '../api';
export interface IManagedDevice {
    /**
     * ONVIF standard API
     */
    readonly api: ManagedONVIFApi;
}
export interface IDeviceInitConfig {
    readonly deviceUrl: string;
    readonly username?: string;
    readonly password?: string;
}
export declare const createManagedDevice: (config: IDeviceInitConfig) => import("typescript-monads").IReader<ISystemConfig, IManagedDevice>;
