import { INonce, ISha1Digest, ITransportPayoad } from './interfaces';
export declare const digestSha1: ISha1Digest;
export declare const REQUEST_HEADERS: {
    'Content-Type': string;
};
export declare const FETCH_CONFIG: (body: string) => {
    method: string;
    body: string;
    headers: {
        'Content-Type': string;
    };
};
export declare const sharedFetchWrapper: (fetchResponse: Promise<any>) => import("rxjs").Observable<ITransportPayoad>;
export declare const nonce: INonce;
